Bug 599734 - should set ISVM bit (ECX:31) for CPUID leaf 0x00000001 [rhel-5.5.z]
should set ISVM bit (ECX:31) for CPUID leaf 0x00000001 [rhel-5.5.z]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Pirko
Red Hat Kernel QE team
: ZStream
Depends On: 573771
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-03 15:56 EDT by RHEL Product and Program Management
Modified: 2015-05-04 21:20 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Microsoft's Server Virtualization Validation Test contains an IsVM component, which directs that applications should be able to determine if they are running inside a virtualized environment by performing a CPUID check. With this update, applications running on a Windows operating system are able to determine whether they are running inside a virtualized environment.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 14:30:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2010-06-03 15:56:13 EDT
This bug has been copied from bug #573771 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 3 Jiri Pirko 2010-06-07 09:32:13 EDT
in 2.6.18-194.6.1.el5
Comment 7 Douglas Silas 2010-06-28 16:45:30 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Microsoft's Server Virtualization Validation Test contains an IsVM component, which directs that applications should be able to determine if they are running inside a virtualized environment by performing a CPUID check. With this update, applications running on a Windows operating system are able to determine whether they are running inside a virtualized environment.
Comment 9 errata-xmlrpc 2010-07-01 14:30:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0504.html

Note You need to log in before you can comment on or make changes to this bug.